--- old/usr/src/lib/libmvec/common/__vsincos.c	2014-05-11 12:16:40.429354705 +0200
+++ new/usr/src/lib/libmvec/common/__vsincos.c	2014-05-11 12:16:40.444036236 +0200
@@ -28,6 +28,7 @@
  */
 
 #include <sys/isa_defs.h>
+#include <sys/ccompile.h>
 
 #ifdef _LITTLE_ENDIAN
 #define HI(x)	*(1+(int*)x)
@@ -93,12 +94,11 @@
 	double		x0_or_one[4], x1_or_one[4], x2_or_one[4];
 	double		y0_or_zero[4], y1_or_zero[4], y2_or_zero[4];
 	double		x0, x1, x2,
-				*py0, *py1, *py2,
-				*pc0, *pc1, *pc2,
-				*xsave, *ysave, *csave;
+			*py0, *py1, *py2,
+			*pc0, *pc1, *pc2,
+			*xsave, *ysave, *csave;
 	unsigned	hx0, hx1, hx2, xsb0, xsb1, xsb2;
-	int			i, biguns, nsave, sxsave, sysave, scsave;
-
+	int		i, biguns, nsave, sxsave, sysave, scsave;
 	nsave = n;
 	xsave = x;
 	sxsave = stridex;
@@ -128,7 +128,6 @@
 		}
 		if ( hx0 < 0x3e400000 ) {
 			/* Too small.  cos x ~ 1, sin x ~ x. */
-			volatile int v = *x;
 			*c = 1.0;
 			*y = *x;
 			x += stridex;
@@ -165,7 +164,6 @@
 		}
 		if ( hx1 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*c = 1.0;
 			*y = *x;
 			x += stridex;
@@ -202,7 +200,6 @@
 		}
 		if ( hx2 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*c = 1.0;
 			*y = *x;
 			x += stridex;
